package gpslib4j;

/**
* Class used to store degrees, usually latitude or longitude.
*/ 

public class PositionDegrees {	
	protected double value;
	
	public PositionDegrees(double v) {
		value = v;
	}
	
	/**
	* Returns the degrees part of this object, when converted to coordinates.
	*/		
	public int getDegrees() {
		return (int) value;	
	}
	
	/**
	* Converts the degrees to Radians. 
	*/
	public PositionRadians convertToRadians() {
		return new PositionRadians(( value * Math.PI ) / 180.0d);
	}
	
	/**
	* Returns the minutes part of this object, when converted to coordinates.
	*/	
	public double getMinutes() {
		double v = value;
		v -= getDegrees();
		return 60 * v; // 60 minutes in one degree.
	}
	
	/**
	 * Returns the seconds part of this object, when converted to coordinates.
	 */
	public double getSeconds() {
		double v = value;
		v -= getDegrees();
		v -= getMinutes();
		return 3600 * v; // 3600 seconds in one degree.
	}

	
	public String toString() {
		return String.valueOf(getDegrees()) + "\u00B0 " + String.valueOf((int)getMinutes()) + "' " +
		String.valueOf((int)getSeconds()) + "\"";
	}
}