package lopsil.device;
import lopsil.*;

/**
 * ActionPatterns enables users to match action patterns.
 * 
 * @author Billy Rickey
 * @author Nalin Saigal
 * @author Jay Ligatti
 */

public class ActionPatterns
{
	/* matchesGpsRead(a) returns true if a is an action
	 * that reads the GPS. */
	public static boolean matchesGpsRead(Action a)
	{
		String gpsReadPattern1 = new String("* lopsil.device.LocationDevice.get*(..)");
		String gpsReadPattern2 = new String("* lopsil.device.LopsilGPS.get*(..)");
		String gpsReadPattern3 = new String("* lopsil.device.LopsilWindowDevice.get*(..)");
		return (a.matches(gpsReadPattern1) || a.matches(gpsReadPattern2) || a.matches(gpsReadPattern3));
	}

	/*
	 */
	public static boolean matchesPlainWriteOut(Action a)
	{
		String writePattern = new String("* *.io.BufferedWriter.write(..)");
		boolean isMatch = a.matches(writePattern);
		return isMatch;
	}
}